/* $Id: includes.h,v 1.13 1998/01/16 08:20:50 mandelli Exp $
 *
 * Conditionalizations:
 *	__BORLANDC__
 *	_CC51
 */

#ifndef _INCLUDES_H_
#define _INCLUDES_H_

/*
***************************************************************
*                       INCLUDES.H
***************************************************************
*/

#include    <stdio.h>
#include    <string.h>
#include    <ctype.h>
#include    <stdlib.h>
#if defined(__BORLANDC__)
#include    <conio.h>
#include    <dos.h>
#endif	/* defined(__BORLANDC__) */

/* === Compatibility Mode === */
#if 0	/* !defined(_CC51) */
#define _data            	/* */
#define	_large			/* */
#define _reentrant		/* */
#define _regparm		/* */
#define _rom			/* */
#define _xdat			/* */
#define OS_ROMDATA 		/* */
#endif	/* !defined(_CC51) */

/* === Include Target-Dependent constants and definitions === */
#if defined(__BORLANDC__)	/* Borland C++ 3.1 */
typedef unsigned char  u_char;			/* PATCH! */
typedef unsigned char  u_int8_t;		/* PATCH! */
typedef unsigned short u_int16_t;		/* PATCH! */
#if defined(__SMALL__)
#include    "ix86s/ix86s.h"
#elif defined(__LARGE__)
#include    "ix86l/ix86l.h"
#else
#error Only small and large memory models are supported with BC31
#endif
#elif defined(_CC51)		/* BSO-Tasking CC51 v4.0r0 */
#if ((_MODEL == 'l') || (_MODEL == 'r'))
#include    "ucos51c.h"
#else
#error Only large and reentrant memory models are supported with CC51
#endif
#elif defined(__C51__)		/* Franklin C51 6.11 	*/
#include    "ucos51c.h"
#elif defined(__C251__)		/* Keil C251 v1.1 	*/
#include    "ucos51c.h"
#else				/* all other brands */
#error A target must be provided
#endif

/* === Include Target-Independent constants and definitions === */
#include    "ucos.h"

/* === Include Application specific constants and definitions === */
#include    "os_cfg.h"

#endif 	/* ndef _INCLUDES_H_ */

/* === End of File === */
